package org.jcon.ba.system.router;

import java.util.EventObject;

/**
 * An EventRouter event.
 *
 * @author Jack Harich
 */
public class EventRouterEvent extends EventObject {

//---------- Private Fields ------------------------------
private Object      event;
private EventRouter router;

//---------- Initialization ------------------------------
public EventRouterEvent(Object event, EventRouter router) {
    super("");
    this.event = event;
    this.router = router;
}
//---------- Properties ----------------------------------
/**
 * Returns the event in question, such as the event about
 * to be multicast.
 */
public Object getEvent() {
    return event;
}
public EventRouter getEventRouter() {
    return router;
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("ClassName" + text);
}

} // End class
